Bug 446612 - Thunderbird crashing on launch
Summary: Thunderbird crashing on launch
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-15 11:27 UTC by morgan read
Modified: 2018-04-11 11:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:48:59 UTC


Attachments (Terms of Use)
gdb debug info for thundebird (21.84 KB, text/plain)
2008-05-17 10:55 UTC, morgan read
no flags Details

Description morgan read 2008-05-15 11:27:07 UTC
Description of problem:
Since updating to the latest T'bird, it has become very unstable - and loosing
all my gmane news lists (30 or so)

[morgan@morgansmachine ~]$ rpm -q thunderbird
thunderbird-2.0.0.14-1.fc8
[morgan@morgansmachine ~]$ 

Just recently it has started crashing on starting

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.14-1.fc8

How reproducible:
Seems always

Steps to Reproduce:
1.Launch t'bird
2.Enter security password
3.Wait
  
Actual results:
[morgan@morgansmachine ~]$ thunderbird
/usr/lib/thunderbird-2.0.0.14/run-mozilla.sh: line 131: 16116 Segmentation fault
     "$prog" ${1+"$@"}
[morgan@morgansmachine ~]$

Expected results:
No crash

Additional info:

Comment 1 Matěj Cepl 2008-05-16 23:23:52 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please install thunderbird-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install thunderbird

Then run thunderbid with a parameter -g. That will start thunderbird running
inside of gdb debugger. Then use command run and do whatever you did to make
thunderbird crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 morgan read 2008-05-17 10:55:17 UTC
Created attachment 305798 [details]
gdb debug info for thundebird

Comment 3 morgan read 2008-05-17 23:17:44 UTC
I've just twigged that my /home had 0 space on it - so, I've freed up some space
and all seems to running OK.  Guess this must have coincided with installing
Thunderbird update - looking at my logs, /home went from 18M to 0M available
last Mon to Tues.  So, seems likely.

Comment 4 Bug Zapper 2008-11-26 10:42:47 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-01-09 07:48:59 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.